Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.web
Class ExceptionFilter

    java.lang.Object
      org.jboss.seam.web.AbstractFilter
          org.jboss.seam.web.ExceptionFilter

All Implemented Interfaces:
  javax.servlet.Filter

Direct Known Subclasses:
  SeamExceptionFilter

    @Scope(value=APPLICATION)
    @Name(value="org.jboss.seam.web.exceptionFilter")
    @Install(precedence=0,
             classDependencies="javax.faces.context.FacesContext")
    @BypassInterceptors
    @Filter(within="org.jboss.seam.web.ajax4jsfFilter")
    public class ExceptionFilter

extends AbstractFilter

Delegate uncaught exceptions to Seam exception handling. As a last line of defence, rollback uncommitted transactions, and clean up Seam contexts.

Author:
  Gavin King

Constructor Summary
`ExceptionFilter()`

Method Summary
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`protected void` | `endWebRequestAfterException(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Exception e)`
`protected void` | `rollbackTransactionIfNecessary()`

Methods inherited from class org.jboss.seam.web.AbstractFilter
`destroy, getRegexUrlPattern, getServletContext, getUrlPattern, init, isDisabled, isMappedToCurrentRequestPath, setDisabled, setRegexUrlPattern, setUrlPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionFilter

    public ExceptionFilter()

Method Detail

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Throws:
    `IOException`
    `javax.servlet.ServletException`

### endWebRequestAfterException

    protected void endWebRequestAfterException(javax.servlet.http.HttpServletRequest request,
                                               javax.servlet.http.HttpServletResponse response,
                                               Exception e)
                                        throws javax.servlet.ServletException,
                                               IOException

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### rollbackTransactionIfNecessary

    protected void rollbackTransactionIfNecessary()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD